> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search hotels

> Search hotels



## OpenAPI

````yaml GET /v1/google/hotels/search
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/hotels/search:
    get:
      tags:
        - Google Hotels
      summary: Search Google Hotels
      description: |-
        Search Google Hotels with dates and pricing.

        Uses browser rendering to access Google Travel Hotels.
      operationId: hotels_search_api_v1_hotels_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Location or hotel name
            title: Q
          description: Location or hotel name
        - name: check_in
          in: query
          required: true
          schema:
            type: string
            description: Check-in date (YYYY-MM-DD)
            title: Check In
          description: Check-in date (YYYY-MM-DD)
        - name: check_out
          in: query
          required: true
          schema:
            type: string
            description: Check-out date (YYYY-MM-DD)
            title: Check Out
          description: Check-out date (YYYY-MM-DD)
        - name: adults
          in: query
          required: false
          schema:
            type: integer
            maximum: 10
            minimum: 1
            description: Number of adults
            default: 2
            title: Adults
          description: Number of adults
        - name: children
          in: query
          required: false
          schema:
            type: integer
            maximum: 10
            minimum: 0
            description: Number of children
            default: 0
            title: Children
          description: Number of children
        - name: currency
          in: query
          required: false
          schema:
            type: string
            description: Currency code
            default: USD
            title: Currency
          description: Currency code
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: us
            title: Gl
          description: Country code
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Sort: price_low, rating_high, most_reviewed'
            title: Sort By
          description: 'Sort: price_low, rating_high, most_reviewed'
        - name: min_price
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Minimum price
            title: Min Price
          description: Minimum price
        - name: max_price
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Maximum price
            title: Max Price
          description: Maximum price
        - name: hotel_class
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 5
                minimum: 2
              - type: 'null'
            description: Star rating
            title: Hotel Class
          description: Star rating
        - name: next_page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination token
            title: Next Page Token
          description: Pagination token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HotelsSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HotelsSearchResponse:
      properties:
        properties:
          items:
            $ref: '#/components/schemas/HotelProperty'
          type: array
          title: Properties
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - pagination
      title: HotelsSearchResponse
      description: Response for GET /api/v1/hotels/search.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HotelProperty:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        gps_coordinates:
          anyOf:
            - $ref: '#/components/schemas/GpsCoordinates'
            - type: 'null'
        hotel_class:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hotel Class
        eco_certified:
          type: boolean
          title: Eco Certified
          default: false
        check_in_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Check In Time
        check_out_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Out Time
        overall_rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Overall Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
        rate_per_night:
          anyOf:
            - $ref: '#/components/schemas/HotelRate'
            - type: 'null'
        total_rate:
          anyOf:
            - $ref: '#/components/schemas/HotelRate'
            - type: 'null'
        prices:
          items:
            $ref: '#/components/schemas/HotelPrice'
          type: array
          title: Prices
        nearby_places:
          items:
            $ref: '#/components/schemas/HotelNearbyPlace'
          type: array
          title: Nearby Places
        amenities:
          items:
            type: string
          type: array
          title: Amenities
        images:
          items:
            type: string
          type: array
          title: Images
        property_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Property Token
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
      type: object
      required:
        - name
      title: HotelProperty
      description: A hotel search result.
    Pagination:
      properties:
        current:
          anyOf:
            - type: integer
            - type: string
          title: Current
          default: 1
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        total_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Results
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
        page_no:
          additionalProperties:
            type: string
          type: object
          title: Page No
      type: object
      title: Pagination
      description: Pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GpsCoordinates:
      properties:
        lat:
          type: number
          title: Lat
        lng:
          type: number
          title: Lng
      type: object
      required:
        - lat
        - lng
      title: GpsCoordinates
      description: GPS coordinates.
    HotelRate:
      properties:
        lowest:
          anyOf:
            - type: number
            - type: 'null'
          title: Lowest
        extracted:
          anyOf:
            - type: number
            - type: 'null'
          title: Extracted
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      title: HotelRate
      description: Hotel rate information.
    HotelPrice:
      properties:
        source:
          type: string
          title: Source
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        cancellation_policy:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancellation Policy
      type: object
      required:
        - source
      title: HotelPrice
      description: A hotel price from a specific source.
    HotelNearbyPlace:
      properties:
        name:
          type: string
          title: Name
        transport:
          anyOf:
            - type: string
            - type: 'null'
          title: Transport
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
      type: object
      required:
        - name
      title: HotelNearbyPlace
      description: A place near the hotel.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````